function codigoEspecificadorST() {
    const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
    const z = new ZeedhiAPIConstructor(browser, protractor);
    const Helper = require('teknisa-helper');
    const geralPage = new Helper.geral();
    const protractorHelper = require('protractor-helper');
    const self = this;
    this.abrir = () => {
        z.component.menu.open();
        protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
        z.component.menu.clickByPath(['Parametrização', 'Documentos Fiscais', 'Código Especificador de Substituição Tributária']);
        geralPage.esperarLoading();
    };

    this.editarCodigoEspST = (cdncmshutil, dscest) => {
        geralPage.clickEditar();
        geralPage.fillField('CDNCMSHUTIL', cdncmshutil);
        geralPage.fillField('DSCEST', dscest);
        geralPage.clickSalvar();
        geralPage.clickVoltar();
    };

    this.adicionarSegmentoMercado = (cdsegmento, dssegmento) => {
        geralPage.clickAdicionar();
        geralPage.fillField('CDSEGMENTO', cdsegmento);
        geralPage.fillField('DSSEGMENTO', dssegmento);
    };

    this.editarSegmentoMercado = (dssegmento) => {
        geralPage.clickEditar();
        geralPage.fillField('DSSEGMENTO', dssegmento);
        geralPage.clickSalvar();
        geralPage.clickVoltar();
    };

    this.excluirSegmentoMercado = (dssegmento) => {
        geralPage.clickExcluir();
        geralPage.clickSim();
    };

    this.adicionarCodigoEspST = (cditem, cdcest, cdncmshutil, dscest) => {
        geralPage.clickAdicionar();
        geralPage.fillField('CDITEM', cditem);
        geralPage.fillField('CDCEST', cdcest);
        geralPage.fillField('CDNCMSHUTIL', cdncmshutil);
        geralPage.fillField('DSCEST', dscest);
    };

    this.excluirCodigoEspST = (dscest) => {
        geralPage.clickExcluir();
        geralPage.clickSim();
    };
}
module.exports = new codigoEspecificadorST();
